Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class PropertyTransferException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.eviware.soapui.impl.wsdl.teststeps.PropertyTransferException

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyTransferException

extends java.lang.Exception

Exception than can occur during property-transfers

Author:
  ole.matzura
See Also:
  Serialized Form

Constructor Summary
`PropertyTransferException(java.lang.String message, java.lang.String sourceStepName, TestStepProperty source, java.lang.String targetStepName, TestStepProperty target)`

Method Summary
`java.lang.String` | `getMessage()`
`java.lang.String` | `getSourcePropertyName()`
`java.lang.String` | `getSourcePropertyValue()`
`java.lang.String` | `getSourceStepName()`
`java.lang.String` | `getTargetPropertyName()`
`java.lang.String` | `getTargetPropertyValue()`
`java.lang.String` | `getTargetStepName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyTransferException

    public PropertyTransferException(java.lang.String message,
                                     java.lang.String sourceStepName,
                                     TestStepProperty source,
                                     java.lang.String targetStepName,
                                     TestStepProperty target)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getSourcePropertyName

    public java.lang.String getSourcePropertyName()

### getSourcePropertyValue

    public java.lang.String getSourcePropertyValue()

### getSourceStepName

    public java.lang.String getSourceStepName()

### getTargetPropertyName

    public java.lang.String getTargetPropertyName()

### getTargetPropertyValue

    public java.lang.String getTargetPropertyValue()

### getTargetStepName

    public java.lang.String getTargetStepName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.